ApiClusterTemplateInstantiator (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiClusterTemplateInstantiator

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiClusterTemplateInstantiator

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiClusterTemplateInstantiator
      extends Object

  Details of cluster template

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiClusterTemplateInstantiator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiClusterTemplateInstantiator` | `addHostsItem(ApiClusterTemplateHostInfo hostsItem)`
    `ApiClusterTemplateInstantiator` | `addRoleConfigGroupsItem(ApiClusterTemplateRoleConfigGroupInfo roleConfigGroupsItem)`
    `ApiClusterTemplateInstantiator` | `addVariablesItem(ApiClusterTemplateVariable variablesItem)`
    `ApiClusterTemplateInstantiator` | `clusterName(String clusterName)`
    `ApiClusterTemplateInstantiator` | `clusterSpec(ApiClusterTemplateClusterSpec clusterSpec)`
    `ApiClusterTemplateInstantiator` | `enableKerberos(ApiConfigureForKerberosArguments enableKerberos)`
    `boolean` | `equals(Object o)`
    `String` | `getClusterName()` Cluster name
    `ApiClusterTemplateClusterSpec` | `getClusterSpec()` Get clusterSpec
    `ApiConfigureForKerberosArguments` | `getEnableKerberos()` Get enableKerberos
    `List<ApiClusterTemplateHostInfo>` | `getHosts()` All the hosts that are part of that cluster
    `List<ApiClusterTemplateRoleConfigGroupInfo>` | `getRoleConfigGroups()` All the role config group informations for non-base RCGs.
    `List<ApiClusterTemplateVariable>` | `getVariables()` All the variables the are referred by the cluster template
    `int` | `hashCode()`
    `ApiClusterTemplateInstantiator` | `hosts(List<ApiClusterTemplateHostInfo> hosts)`
    `Boolean` | `isKeepHostTemplates()` Keep the hosts templates from cluster template.
    `Boolean` | `isLenient()` Allow setting service parameters that may not currently be supported by the current CM version but will be in the future.
    `ApiClusterTemplateInstantiator` | `keepHostTemplates(Boolean keepHostTemplates)`
    `ApiClusterTemplateInstantiator` | `lenient(Boolean lenient)`
    `ApiClusterTemplateInstantiator` | `roleConfigGroups(List<ApiClusterTemplateRoleConfigGroupInfo> roleConfigGroups)`
    `void` | `setClusterName(String clusterName)`
    `void` | `setClusterSpec(ApiClusterTemplateClusterSpec clusterSpec)`
    `void` | `setEnableKerberos(ApiConfigureForKerberosArguments enableKerberos)`
    `void` | `setHosts(List<ApiClusterTemplateHostInfo> hosts)`
    `void` | `setKeepHostTemplates(Boolean keepHostTemplates)`
    `void` | `setLenient(Boolean lenient)`
    `void` | `setRoleConfigGroups(List<ApiClusterTemplateRoleConfigGroupInfo> roleConfigGroups)`
    `void` | `setVariables(List<ApiClusterTemplateVariable> variables)`
    `String` | `toString()`
    `ApiClusterTemplateInstantiator` | `variables(List<ApiClusterTemplateVariable> variables)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiClusterTemplateInstantiator

          public ApiClusterTemplateInstantiator()

  - ### Method Detail

    - #### clusterName

          public ApiClusterTemplateInstantiator clusterName(String clusterName)

    - #### getClusterName

          public String getClusterName()

      Cluster name
      Returns:
        clusterName

    - #### setClusterName

          public void setClusterName(String clusterName)

    - #### hosts

          public ApiClusterTemplateInstantiator hosts(List<ApiClusterTemplateHostInfo> hosts)

    - #### addHostsItem

          public ApiClusterTemplateInstantiator addHostsItem(ApiClusterTemplateHostInfo hostsItem)

    - #### getHosts

          public List<ApiClusterTemplateHostInfo> getHosts()

      All the hosts that are part of that cluster
      Returns:
        hosts

    - #### setHosts

          public void setHosts(List<ApiClusterTemplateHostInfo> hosts)

    - #### variables

          public ApiClusterTemplateInstantiator variables(List<ApiClusterTemplateVariable> variables)

    - #### addVariablesItem

          public ApiClusterTemplateInstantiator addVariablesItem(ApiClusterTemplateVariable variablesItem)

    - #### getVariables

          public List<ApiClusterTemplateVariable> getVariables()

      All the variables the are referred by the cluster template
      Returns:
        variables

    - #### setVariables

          public void setVariables(List<ApiClusterTemplateVariable> variables)

    - #### roleConfigGroups

          public ApiClusterTemplateInstantiator roleConfigGroups(List<ApiClusterTemplateRoleConfigGroupInfo> roleConfigGroups)

    - #### addRoleConfigGroupsItem

          public ApiClusterTemplateInstantiator addRoleConfigGroupsItem(ApiClusterTemplateRoleConfigGroupInfo roleConfigGroupsItem)

    - #### getRoleConfigGroups

          public List<ApiClusterTemplateRoleConfigGroupInfo> getRoleConfigGroups()

      All the role config group informations for non-base RCGs.
      Returns:
        roleConfigGroups

    - #### setRoleConfigGroups

          public void setRoleConfigGroups(List<ApiClusterTemplateRoleConfigGroupInfo> roleConfigGroups)

    - #### clusterSpec

          public ApiClusterTemplateInstantiator clusterSpec(ApiClusterTemplateClusterSpec clusterSpec)

    - #### getClusterSpec

          public ApiClusterTemplateClusterSpec getClusterSpec()

      Get clusterSpec
      Returns:
        clusterSpec

    - #### setClusterSpec

          public void setClusterSpec(ApiClusterTemplateClusterSpec clusterSpec)

    - #### keepHostTemplates

          public ApiClusterTemplateInstantiator keepHostTemplates(Boolean keepHostTemplates)

    - #### isKeepHostTemplates

          public Boolean isKeepHostTemplates()

      Keep the hosts templates from cluster template.
      Returns:
        keepHostTemplates

    - #### setKeepHostTemplates

          public void setKeepHostTemplates(Boolean keepHostTemplates)

    - #### lenient

          public ApiClusterTemplateInstantiator lenient(Boolean lenient)

    - #### isLenient

          public Boolean isLenient()

      Allow setting service parameters that may not currently be supported by the current CM version but will be in the future.
      Returns:
        lenient

    - #### setLenient

          public void setLenient(Boolean lenient)

    - #### enableKerberos

          public ApiClusterTemplateInstantiator enableKerberos(ApiConfigureForKerberosArguments enableKerberos)

    - #### getEnableKerberos

          public ApiConfigureForKerberosArguments getEnableKerberos()

      Get enableKerberos
      Returns:
        enableKerberos

    - #### setEnableKerberos

          public void setEnableKerberos(ApiConfigureForKerberosArguments enableKerberos)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.